profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/coliff/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Christian Oliff coliff 01000001 01001100 01001011 00001101 00001010 00001101 00001010 London, UK ✈️ Osaka, JP https://christianoliff.com I̵ l̷i̴k̶e t̵h̵e̶ i̵n̶t̶e̶r̵n̷e̸t

coliff/bootstrap-ie7 576

Bootstrap 3 CSS for IE7

coliff/bootstrap-ie8 281

Bootstrap 4 for IE8 and IE9

caniuse-email/caniuse.email 142

HTML and CSS Compatibility tables for emails

coliff/bootstrap-ie11 67

Internet Explorer 11 compatibility solution for Bootstrap 5

coliff/awesome-website-testing-tools 26

Resource of web-based testing and validation tools

coliff/bootstrap-show-password-toggle 19

A show password as text toggle for Bootstrap forms

coliff/bootstrap-rfs 13

Easy-to-add CSS for adding Responsive Font Sizes (RFS) to Bootstrap 4

coliff/bootstrap-print-css 10

Print Stylesheet for Bootstrap 5

coliff/Brackets-CSSCodeHints 5

Extends Bracket's CSS code hints with more attributes; clip-path, image-rendering, tab-size, touch-action and more

coliff/bootstrap-checkout 1

Bootstrap Checkout Example with UX improvements

issue commenttwbs/bootstrap

g-5 class in 5.1.1 creates horizontal scrolling in mobile

I think that's expected - check the docs - you may need to add a padding utility to the parent container.

https://getbootstrap.com/docs/5.1/layout/gutters/#horizontal-gutters

surajgupta59

comment created time in 7 hours

issue commenttwbs/bootstrap

something about dropdown-menu on version 3.3.5

Bootstrap v3 is unsupported but if you must use it then I'd recommend you at least update to the latest version of Bootstrap 3 (v3.4.1) as soon as possible. It fixes a number of bugs including some security issues.

Those inline styles are added by Bootstrap's JavaScript, I'd suggest you use custom CSS to change the styling of your dropdown box to suit your project.

wrh4585

comment created time in 7 hours

issue closedhtmlhint/HTMLHint

Deprecated dependencies

$ npm i -g htmlhint@latest
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142

closed time in a day

aravindvnair99

issue commentthemeselection/bootstrap-cheatsheet

Display sizes aren't new to Bootstrap 5

Update: I realise now that display-5 and display-6 are new to BS5. :-) Feel free to close unless there is some way of indicating which ones are new.

coliff

comment created time in 2 days

issue openedthemeselection/bootstrap-cheatsheet

Display sizes aren't new to Bootstrap 5

Great resource - good work :-)

It says display-{size} is new to Bootstrap 5, but it was part of Bootstrap 4 too.

image

https://getbootstrap.com/docs/4.6/content/typography/#display-headings

image

created time in 2 days

startedthemeselection/bootstrap-cheatsheet

started time in 2 days

pull request commenthtmlhint/HTMLHint

fix(htmlhint.ts): replace deprecated request module with what-wg fetch

build/test is failing - can you take a look @thedaviddias @darcyparker ?

darcyparker

comment created time in 2 days

push eventowddm/owddm.com

Christian Oliff

commit sha e86c93b3e5eb2b101218043d31112272099b5fe8

Update package.json

view details

push time in 2 days

delete branch owddm/owddm.com

delete branch : dependabot/npm_and_yarn/autoprefixer-10.3.4

delete time in 2 days

PR closed owddm/owddm.com

Bump autoprefixer from 10.3.3 to 10.3.4 dependencies

Bumps autoprefixer from 10.3.3 to 10.3.4. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/postcss/autoprefixer/releases">autoprefixer's releases</a>.</em></p> <blockquote> <h2>10.3.4</h2> <ul> <li>Fixed <code>stretch</code> value in latest Firefox.</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/postcss/autoprefixer/blob/main/CHANGELOG.md">autoprefixer's changelog</a>.</em></p> <blockquote> <h2>10.3.4</h2> <ul> <li>Fixed <code>stretch</code> value in latest Firefox.</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/postcss/autoprefixer/commit/1341747bc8142a147342f55eea5ed4286a3ca318"><code>1341747</code></a> Release 10.3.4 version</li> <li><a href="https://github.com/postcss/autoprefixer/commit/c1bc741b9b673eace0e7938fa1c7107d79723ac3"><code>c1bc741</code></a> Update dependencies</li> <li><a href="https://github.com/postcss/autoprefixer/commit/089ac2f7d84ee86e69b77af7509645c8b249e3fc"><code>089ac2f</code></a> Fix stretch in latest Firefox</li> <li><a href="https://github.com/postcss/autoprefixer/commit/d56b44def3d932f0e536b51b0a607cb2add71251"><code>d56b44d</code></a> Speed to test</li> <li>See full diff in <a href="https://github.com/postcss/autoprefixer/compare/10.3.3...10.3.4">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 2 days

push eventowddm/owddm.com

dependabot[bot]

commit sha 76d565db56e2cde6a455a702b026dc9684776895

Bump hugo-bin from 0.75.0 to 0.76.1 Bumps [hugo-bin](https://github.com/fenneclab/hugo-bin) from 0.75.0 to 0.76.1. - [Release notes](https://github.com/fenneclab/hugo-bin/releases) - [Commits](https://github.com/fenneclab/hugo-bin/compare/v0.75.0...v0.76.1) --- updated-dependencies: - dependency-name: hugo-bin dependency-type: direct:development update-type: version-update:semver-minor ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Christian Oliff

commit sha 85e949f924055c4d82cf6cd8aa0f48ebbcc1ca11

Merge pull request #54 from owddm/dependabot/npm_and_yarn/hugo-bin-0.76.1 Bump hugo-bin from 0.75.0 to 0.76.1

view details

push time in 2 days

delete branch owddm/owddm.com

delete branch : dependabot/npm_and_yarn/hugo-bin-0.76.1

delete time in 2 days

PR merged owddm/owddm.com

Bump hugo-bin from 0.75.0 to 0.76.1 dependencies

Bumps hugo-bin from 0.75.0 to 0.76.1. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/fenneclab/hugo-bin/commit/6d3956a233394a20581084f1b19dc3665ac8f3d1"><code>6d3956a</code></a> 0.76.1</li> <li><a href="https://github.com/fenneclab/hugo-bin/commit/d835c550b17b3cadd95eed90c79fe8d8e6ea73f9"><code>d835c55</code></a> Update Hugo to v0.88.1.</li> <li><a href="https://github.com/fenneclab/hugo-bin/commit/0f4267d198efeafe71c05c49c941a07f112df6a1"><code>0f4267d</code></a> 0.76.0</li> <li><a href="https://github.com/fenneclab/hugo-bin/commit/58e2c86cfb9df50f37522e8a0508204cc167031f"><code>58e2c86</code></a> Update dependencies including Hugo v0.88.0</li> <li>See full diff in <a href="https://github.com/fenneclab/hugo-bin/compare/v0.75.0...v0.76.1">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 2 days

startedthedaviddias/Front-End-Checklist

started time in 3 days

delete branch coliff/HESH-WordPress-Plugin

delete branch : patch-1

delete time in 3 days

PullRequestReviewEvent

push eventcoliff/sender-brand-icon-avatars-for-email

Christian Oliff

commit sha a4b9f11807c5ac592610652c57f6fc05af8ed616

Update LICENSE

view details

push time in 4 days

create barnchcoliff/sender-brand-icon-avatars-for-email

branch : main

created branch time in 4 days

delete branch coliff/sender-brand-icon-avatars-for-email

delete branch : master

delete time in 4 days

delete branch coliff/sender-brand-icon-avatars-for-email

delete branch : main

delete time in 4 days

push eventcoliff/sender-brand-icon-avatars-for-email

Christian Oliff

commit sha dc73dcf989cdbc816e05741d2c73940f79d280b9

Update font-awesome.csv

view details

push time in 4 days

delete branch coliff/mapbox-gl-draw

delete branch : patch-1

delete time in 4 days

push eventgohugoio/hugoDocs

GennadySpb

commit sha 09fabf7d66a0c7a28e0f569a3aae7664133ecbf0

Fix typo (#1524)

view details

push time in 4 days

PR merged gohugoio/hugoDocs

Fix typo
+1 -1

0 comment

1 changed file

GennadySpb

pr closed time in 4 days

PullRequestReviewEvent

push eventcoliff/bootstrap-ie11

dependabot[bot]

commit sha fff08b23cae0a1f0a5325d8b36a3c50d05dcdeae

Update sass requirement from ^1.39.0 to ^1.39.2 Updates the requirements on [sass](https://github.com/sass/dart-sass) to permit the latest version. - [Release notes](https://github.com/sass/dart-sass/releases) - [Changelog](https://github.com/sass/dart-sass/blob/main/CHANGELOG.md) - [Commits](https://github.com/sass/dart-sass/compare/1.39.0...1.39.2) --- updated-dependencies: - dependency-name: sass dependency-type: direct:development ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Christian Oliff

commit sha 51b081ebb1471ff5d74db81ceb8477ffc3460aee

Merge pull request #94 from coliff/dependabot/npm_and_yarn/sass-tw-1.39.2

view details

push time in 4 days

delete branch coliff/bootstrap-ie11

delete branch : dependabot/npm_and_yarn/sass-tw-1.39.2

delete time in 4 days

PR merged coliff/bootstrap-ie11

Update sass requirement from ^1.39.0 to ^1.39.2 dependencies javascript

Updates the requirements on sass to permit the latest version. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/sass/dart-sass/releases">sass's releases</a>.</em></p> <blockquote> <h2>Dart Sass 1.39.2</h2> <p>To install Sass 1.39.2, download one of the packages below and <a href="https://katiek2.github.io/path-doc/">add it to your PATH</a>, or see <a href="https://sass-lang.com/install">the Sass website</a> for full installation instructions.</p> <h1>Changes</h1> <ul> <li>Fix a bug where configuring with <code>@use ... with</code> would throw an error when that variable was defined in a module that also contained <code>@forward ... with</code>.</li> </ul> <p>See the <a href="https://github.com/sass/dart-sass/blob/master/CHANGELOG.md#1392">full changelog</a> for changes in earlier releases.</p> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/sass/dart-sass/blob/main/CHANGELOG.md">sass's changelog</a>.</em></p> <blockquote> <h2>1.39.2</h2> <ul> <li>Fix a bug where configuring with <code>@use ... with</code> would throw an error when that variable was defined in a module that also contained <code>@forward ... with</code>.</li> </ul> <h2>1.39.1</h2> <ul> <li>Partial fix for a bug where <code>@at-root</code> does not work properly in nested imports that contain <code>@use</code> rules. If the only <code>@use</code> rules in the nested import are for built-in modules, <code>@at-root</code> should now work properly.</li> </ul> <h2>1.39.0</h2> <h3>JS API</h3> <ul> <li>Add a <code>charset</code> option that controls whether or not Sass emits a <code>@charset</code>/BOM for non-ASCII stylesheets.</li> </ul> <h2>1.38.2</h2> <ul> <li>No user-visible changes</li> </ul> <h2>1.38.1</h2> <ul> <li>No user-visible changes</li> </ul> <h2>1.38.0</h2> <ul> <li> <p>In expanded mode, emit characters in Unicode private-use areas as escape sequences rather than literal characters.</p> </li> <li> <p>Fix a bug where quotes would be omitted for an attribute selector whose value was a single backslash.</p> </li> <li> <p>Properly consider numbers that begin with <code>.</code> as "plain CSS" for the purposes of parsing plain-CSS <code>min()</code> and <code>max()</code> functions.</p> </li> <li> <p>Allow <code>if</code> to be used as an unquoted string.</p> </li> <li> <p>Properly parse backslash escapes within <code>url()</code> expressions.</p> </li> <li> <p>Fix a couple bugs where <code>@extend</code>s could be marked as unsatisfied when multiple identical <code>@extend</code>s extended selectors across <code>@use</code> rules.</p> </li> </ul> <h3>Command Line Interface</h3> <ul> <li>Strip CRLF newlines from snippets of the original stylesheet that are included in the output when an error occurs.</li> </ul> <h3>JS API</h3> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/sass/dart-sass/commit/33dab9ff7e85dc4509393d68c4d45ac4871f8370"><code>33dab9f</code></a> Fix the leftover-configuration check for <code>@forward ... with</code> (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1472">#1472</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/1672178f64a274615445c681c10a2f67b6c6aeac"><code>1672178</code></a> Fix <code>@at-root</code> bug for common case of built-in use (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1469">#1469</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/f06937e2df7347ae2e27db17c79df1b1a02cbac0"><code>f06937e</code></a> Fix analysis errors (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1470">#1470</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/78aacbcda24d6ef5ad2d0d8dd892b58cdaa66e28"><code>78aacbc</code></a> Upgrade to analyzer 2 (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1465">#1465</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/8012e0e9c93d4936fd6168122f4e964484c38e34"><code>8012e0e</code></a> Avoid the /-as-division warning when running the dart_api tests (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1467">#1467</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/49c75b15097a2727f04a4e6a502cde47c979052e"><code>49c75b1</code></a> Fix the test covering space-separated list to actually do it (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1466">#1466</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/f098c7f5acdf3af7934c25bbe429813821bef803"><code>f098c7f</code></a> Fix the test description for the list separator of non-empty maps (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1464">#1464</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/1288b92b4e9a12f5a1697690ea8e0918d20165a6"><code>1288b92</code></a> Fix the description of some tests for SassNumber (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1463">#1463</a>)</li> <li><a href="https://github.com/sass/dart-sass/commit/3112f80d49596badc1e0a758c38cd4b0d518a52f"><code>3112f80</code></a> Ignore HintCode.UNNECESSARY_TYPE_CHECK_TRUE (<a href="https://github-redirect.dependabot.com/sass/dart-sass/issues/1457">#1457</a>)</li> <li>See full diff in <a href="https://github.com/sass/dart-sass/compare/1.39.0...1.39.2">compare view</a></li> </ul> </details> <br />

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)

</details>

+1 -1

0 comment

1 changed file

dependabot[bot]

pr closed time in 4 days

push eventh5bp/html5-boilerplate

dependabot[bot]

commit sha 457fe041a62d548fff1b20349516d898bde9987d

chore(deps-dev): bump @babel/preset-env from 7.15.4 to 7.15.6 Bumps [@babel/preset-env](https://github.com/babel/babel/tree/HEAD/packages/babel-preset-env) from 7.15.4 to 7.15.6. - [Release notes](https://github.com/babel/babel/releases) - [Changelog](https://github.com/babel/babel/blob/main/CHANGELOG.md) - [Commits](https://github.com/babel/babel/commits/v7.15.6/packages/babel-preset-env) --- updated-dependencies: - dependency-name: "@babel/preset-env" dependency-type: direct:development update-type: version-update:semver-patch ... Signed-off-by: dependabot[bot] <support@github.com>

view details

Christian Oliff

commit sha 57550135aef91daccbe70db767800d509543c22a

Merge pull request #2604 from h5bp/dependabot/npm_and_yarn/babel/preset-env-7.15.6

view details

push time in 4 days

delete branch h5bp/html5-boilerplate

delete branch : dependabot/npm_and_yarn/babel/preset-env-7.15.6

delete time in 4 days